import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';

import { IgxGridModule } from 'igniteui-angular/main';

import { AppComponent } from './components/app/app.component';
import { IgxGridSampleComponent } from './components/igxGridSample/igxGridSample.component';

@NgModule({
    declarations: [
        AppComponent,
        IgxGridSampleComponent
    ],
    imports: [
        CommonModule,
        HttpModule,
        FormsModule,
        IgxGridModule.forRoot(),
        RouterModule.forRoot([
            { path: '', redirectTo: 'igxGridSample', pathMatch: 'full' },
            { path: 'igxGridSample', component: IgxGridSampleComponent },
            { path: '**', redirectTo: 'igxGridSample' }
        ])
    ]
})
export class AppModuleShared {
}
